Package org.apache.ignite.internal.util

## Class GridConcurrentMultiPairQueue.Result<K,​V>

- java.lang.Object
- - org.apache.ignite.internal.util.GridConcurrentMultiPairQueue.Result<K,​V>

Enclosing class:
  GridConcurrentMultiPairQueue<K,​V>

    public static class GridConcurrentMultiPairQueue.Result<K,​V>
    extends Object

State holder.

### Constructor Summary

Constructors
`Result()`

### Method Summary

All Methods Instance Methods Concrete Methods
`K` `getKey()` Current key.
`V` `getValue()` Current value.
`void` `set​(K k, V v, int seg)` Current state setter.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Result

    public Result()

### Method Detail

#### set

    public void set​(K k,
                    V v,
                    int seg)

Current state setter.

#### getKey

    public K getKey()

Current key.

#### getValue

    public V getValue()

Current value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`